commit:     7a9295773c6a4c83e7f53dea6c861dd5b8d40194
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat May 28 06:05:33 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat May 28 06:09:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a929577

sci-libs/libqalculate: add 4.2.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/libqalculate/Manifest                  |  1 +
 sci-libs/libqalculate/libqalculate-4.2.0.ebuild | 78 +++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/sci-libs/libqalculate/Manifest b/sci-libs/libqalculate/Manifest
index d941dfff2b0a..f021c8dfe7e5 100644
--- a/sci-libs/libqalculate/Manifest
+++ b/sci-libs/libqalculate/Manifest
@@ -1,3 +1,4 @@
 DIST libqalculate-3.21.0.tar.gz 2117414 BLAKE2B 
eaf8b886e716a6f8e9631dbda6533906cc7c5ed986233d75b9384aefb4123479914715d37268db5e1d403d1ee1835cde77314abe5380768fce5c266d1c253ca3
 SHA512 
7ca876ffe359ab2c6c6ae266007f489f9cd26f6650d6ace4e1d80cc660d16294cce601ed81046baca25cc4ec41668498af0a555fddc47c4118241e72af039614
 DIST libqalculate-3.22.0.tar.gz 2150167 BLAKE2B 
2023dc00e516f26d93e6acae66acb6211fb4dd234fba7e1e012c29ea224276040e75552b923b275e0cbe3e168ed419849f7f204aac3952a872ad0f1916470358
 SHA512 
2fc7e9e2edda0dfa221865050068eead29f9fecfef8eb8817bacc7493ed03215c60931b40e69165f565fc0574e370131ebebd9b247fedafc5821aae35b71dac9
 DIST libqalculate-4.1.1.tar.gz 2172017 BLAKE2B 
e9dcc22ad2d102572610ddc103afc5a279cf4f63681750c6165dac40225c7e29ebb4ccdc4f54cb97031ca8684ef17e08e99478c6b200870c7858e832a7588f18
 SHA512 
7a0f2fac6c96247b40565bdd015f8b52dc250fa74a8d8ed4a52a6f2134fb2b628e469c0253723f22b433a8f575590a28be8c0d4aa6cfb473b58f1b2c63707956
+DIST libqalculate-4.2.0.tar.gz 2215812 BLAKE2B 
393bab0d9cf5d4a3158d93bf676805d829a2103ec1dc733e3d98fd7a54ab0c42d3797dadb1cde72b1df2e13cfb691430982f5fbd886ac9f0a906b3884f912202
 SHA512 
105f567a3b24a1c396df0eb85f299d18228f489e4d989f0fa09cf97321494030e9a85d9cd9fe4b5dd8cc233b4329025788275ba168546929e912598dee8ef6b8

diff --git a/sci-libs/libqalculate/libqalculate-4.2.0.ebuild 
b/sci-libs/libqalculate/libqalculate-4.2.0.ebuild
new file mode 100644
index 000000000000..793186d66e2e
--- /dev/null
+++ b/sci-libs/libqalculate/libqalculate-4.2.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Bump with sci-calculators/qalculate-gtk!
+
+inherit toolchain-funcs
+
+DESCRIPTION="A modern multi-purpose calculator library"
+HOMEPAGE="https://qalculate.github.io/";
+SRC_URI="https://github.com/Qalculate/${PN}/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+# SONAME changes pretty often on bumps. Check!
+SLOT="0/22"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="curl icu gnuplot readline test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-libs/gmp:=
+       dev-libs/libxml2:2
+       dev-libs/mpfr:=
+       virtual/libiconv
+       curl? ( net-misc/curl )
+       icu? ( dev-libs/icu:= )
+       readline? ( sys-libs/readline:= )"
+RDEPEND="${DEPEND}
+       gnuplot? ( >=sci-visualization/gnuplot-3.7 )"
+BDEPEND="dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       cat >po/POTFILES.skip <<-EOF || die
+               # Required by make check
+               data/currencies.xml.in
+               data/datasets.xml.in
+               data/elements.xml.in
+               data/functions.xml.in
+               data/planets.xml.in
+               data/prefixes.xml.in
+               data/units.xml.in
+               data/variables.xml.in
+               src/defs2doc.cc
+       EOF
+}
+
+src_configure() {
+       # Needed for po-defs/Makefile
+       export CXX_FOR_BUILD="$(tc-getBUILD_CXX)"
+       export CXXCPP_FOR_BUILD="$(tc-getBUILD_CXX) -E"
+
+       # bug #792027
+       tc-export CC
+
+       econf \
+               $(use_enable test tests) \
+               $(use_enable test unittests) \
+               $(use_with curl libcurl) \
+               $(use_with gnuplot gnuplot-call) \
+               $(use_with icu) \
+               $(use_with readline)
+}
+
+src_install() {
+       # docs/reference/Makefile.am -> referencedir=
+       emake \
+               DESTDIR="${D}" \
+               referencedir="${EPREFIX}/usr/share/doc/${PF}/html" \
+               install
+
+       einstalldocs
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to